PMSERIES_IMPORT(1)

NAME
pmseries_import - import PCP archive files for historical time series querying

SYNOPSIS
$PCP_BINADM_DIR/pmseries_import [-h] [--archives path] [--json file] [--import-timeout time] [--noop] [--poll-interval delta] [-p port] [-Z TZ]

DESCRIPTION
pmseries_import monitors a given path for PCP archives, and automatically loads the contents into a key server (such as Valkey or Redis). This is then suitable for fast time series querying using the pmseries(1) language, as provided by the command line tool and PCP REST API services of pmproxy(1).

pmseries_import uses a simple polling technique, checking the archives directory for new archive files every 10 seconds.

This utility is most commonly used within a container providing an automated Grafana dashboard setup for arbitrary PCP archives. This approach provides an environment containing a systemd(1) server to enable this archive monitoring utility, pre-configured grafana-server(1), valkey-server(1), and pmproxy(1) REST API services.

OPTIONS

--archives=path
    Specifies an alternate path to poll for new PCP archives. Default value is /archives.

--jsonfile=file
    Specifies an alternate JSON format file to update whenever the time window boundaries are seen to have changed. This file must contain JSON content, including a JSON map named "time" with "start" and "end" fields where string timestamps will be written. The default value is /usr/local/var/lib/grafana/dashboards/pcp-archive-analysis.json.

-h, --help
    Display command usage message and exit.

--import-timeout=timeout
    Specify a number of seconds to allow for any individual archive import to complete, via the pmseries load command for that archive. The default timeout value is 600 seconds (5 minutes).

--noop
    Skips all write operations (for debugging or testing purposes), reporting only diagnostic messages instead.

--poll-interval=delta
    The frequency with which the archive directory will be scanned. Default delta is once every 10 seconds.

-p port, --port=port
    An optional port on which pmseries should connect to the key server. The default port is 6379.

-Z TZ, --timezone=TZ
    An optional TZ value indicating the timezone to which pmseries should convert all archive timestamps when sending values to the key server.

SEE ALSO
grafana-server(1), systemd(1), valkey-server(1), pmproxy(1) and pmseries(1).